!
!	mod_cooperation.f90
!	ReplicationMS
!
!	Created by Oliver Will on 04.06.09.
!	Copyright 2009 Universität Bayreuth. All rights reserved.
!
MODULE MOD_COOPERATION
	
	USE MOD_GLOBAL_VARIABLES
	USE MOD_AGENTSET
	
	IMPLICIT NONE
	
CONTAINS

	SUBROUTINE decide_on_cooperation
		
		REAL :: rand
		INTEGER :: i 
	
		DO i = 1, number_of_agents
			CALL random_number(rand)
			IF ( rand < PropCoop(i) ) THEN
				Coop(i) = 1
			ELSE
				Coop(i) = 0
			END IF
		END DO
	
	END SUBROUTINE

END MODULE
