!
!	mod_global_variables.f90
!	ReplicationMS
!
!	Created by Oliver Will on 04.06.09.
!	Copyright 2009 Universität Bayreuth. All rights reserved.
!

MODULE MOD_GLOBAL_VARIABLES
		
	IMPLICIT NONE
	SAVE
	
	INTEGER :: time_step = 0
	INTEGER :: last_time_step = 2000
	INTEGER :: steps_to_record = 1000
	
	! general settings
	INTEGER :: number_of_agents = 1000				! number of agents in simulation
	INTEGER :: number_of_neighbourhoods = 25		! number of neighbourhoods among which agents are distributed
	
	REAL :: mobility_rate = 0.5		! probability with which agents change nh in each time-step
	
	! arrays of parameter setting
	INTEGER, DIMENSION(20) :: random_seeds = (/498,3045,9234231,8502,56938,57,634,59,0193,4559,230,129,71,38,500,1934,773457,2925,43245,93283/)
	INTEGER, DIMENSION(10) :: different_nr_of_nhs = (/10,11,12,14,16,20,25,33,50,100/)
	REAL, DIMENSION(11) :: different_mobility_rates = (/0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0/)
	
END MODULE MOD_GLOBAL_VARIABLES